import vtk
 
# create a rendering window and renderer
ren = vtk.vtkRenderer()
ren.SetBackground (1.0,1.0,1.0)
renWin = vtk.vtkRenderWindow()
renWin.AddRenderer(ren)
 
# create a renderwindowinteractor
iren = vtk.vtkRenderWindowInteractor()
iren.SetRenderWindow(renWin)
 
# create source
source = vtk.vtkSphereSource()
source.SetCenter(0,0,0)
source.SetRadius(5.0)

 
# mapper
mapper = vtk.vtkPolyDataMapper()
mapper.SetInput(source.GetOutput())
 
# actor
actor = vtk.vtkActor()
actor.SetMapper(mapper)

actor.GetProperty ().SetColor (1.0, 0.8, 0.7)
actor.GetProperty ().SetDiffuse (0.7)
actor.GetProperty ().SetSpecular (0.4)
actor.GetProperty ().SetSpecularPower (250)


# assign actor to the renderer
ren.AddActor(actor)
 
# enable user interface interactor
iren.Initialize()
renWin.Render()
iren.Start()

app = wx.App(True)  # Create a new app, don't redirect stdout/stderr to a window.
frame = wx.Frame(None, wx.ID_ANY, "Hello World") # A Frame is a top-level window.

